> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Concat audio

> Concatenate the current workspace's speech tracks and save the resulting audio in the existing project storage.

MCP tool: `podcast_concat_audio`. OAuth scope: `podcast.write`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/audio/concat
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/audio/concat:
    post:
      tags:
        - Podcast
      summary: concat audio
      description: >-
        Concatenate the current workspace's speech tracks and save the resulting
        audio in the existing project storage.
      operationId: podcast_concat_audio
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.ProjectConcatTTSAudioReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.ProjectConcatTTSAudioResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.ProjectConcatTTSAudioReq:
      properties:
        prj_id:
          type: string
      required:
        - prj_id
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.ProjectConcatTTSAudioResp:
      properties:
        audio_url:
          description: 拼接后的音频地址
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````